> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getoutprice.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getoutprice.com/_mcp/server.

# Get Item

GET https://getoutprice.com/v1/tracked-items/{item_id}

Reference: https://docs.getoutprice.com/api-reference/tracked-items/get-item

## Authentication

- `X-API-Key` header (required) — Your Outprice API key (starts with pw_).

## Request

### Path parameters

- `item_id` (integer, required)

## Response

### 200

Successful Response

- `id` (integer, required)
- `marketplace` (enum, required)
  - Allowed values: `daraz`, `lazada`, `shopee`, `ebay`, `amazon`, `flipkart`, `rakuten`, `generic`
- `source_url` (string, required)
- `poll_interval_minutes` (integer, required)
- `status` (enum, required)
  - Allowed values: `active`, `paused`, `needs_attention`
- `created_at` (datetime, required)
- `title` (string, optional, nullable)
- `seller_name` (string, optional, nullable)
- `venture` (string, optional, nullable)
- `currency` (string, optional, nullable)
- `category_tags` (list of string, optional, nullable)
- `attention_reason` (string, optional, nullable)
- `next_poll_at` (datetime, optional, nullable)
- `rating` (double, optional, nullable)
- `review_count` (integer, optional, nullable)
- `promotions` (list of string, optional, nullable)
- `buyer_price` (double, optional, nullable)
- `latest` (SnapshotOut, optional, nullable)
- `demand` (map from string to any, optional, nullable)
- `discounts` (map from string to any, optional, nullable)
- `fees_label` (string, optional, nullable)
- `channels` (list of map from string to any, optional, nullable)
- `own_price` (double, optional, nullable)
- `price_gap_pct` (double, optional, nullable)
- `own_shipping` (double, optional, nullable)
- `own_shipping_is_default` (boolean, optional, default: false)
- `comparison_basis` (string, optional, nullable)
- `comparison_note` (string, optional, nullable)
- `cost_price` (double, optional, nullable)
- `min_margin_pct` (double, optional, nullable)
- `own_source_url` (string, optional, nullable)
- `own_in_stock` (boolean, optional, nullable)
- `own_synced_at` (datetime, optional, nullable)
- `own_sync_status` (string, optional, nullable)
- `own_sync_detail` (string, optional, nullable)
- `own_pending_price` (double, optional, nullable)
- `own_margin_pct` (double, optional, nullable)
- `match_margin_pct` (double, optional, nullable)
- `match_verdict` (string, optional, nullable)
- `match_note` (string, optional, nullable)
- `floor_price` (double, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### SnapshotOut

- `id` (integer, required)
- `tracked_item_id` (integer, required)
- `captured_at` (datetime, required)
- `variant_count` (integer, required)
- `extraction_method` (enum, required) — Ordered best-to-worst; drives the Confidence Score (FR-2.2).
  - Allowed values: `structured_data`, `mtop_api`, `official_api`, `data_provider`, `listing_api`, `selector`
- `confidence_score` (double, required)
- `status` (enum, required)
  - Allowed values: `accepted`, `held`, `rejected`
- `price` (double, optional, nullable)
- `shipping` (double, optional, nullable)
- `original_price` (double, optional, nullable)
- `currency` (string, optional, nullable)
- `in_stock` (boolean, optional, nullable)
- `anomaly_reason` (string, optional, nullable)
- `seen_at` (datetime, optional, nullable)
- `readings` (integer, optional, default: 1)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Response**

```json
{
  "id": 1,
  "marketplace": "daraz",
  "source_url": "string",
  "poll_interval_minutes": 1,
  "status": "active",
  "created_at": "2024-01-15T09:30:00Z",
  "title": "string",
  "seller_name": "string",
  "venture": "string",
  "currency": "string",
  "category_tags": [
    "string"
  ],
  "attention_reason": "string",
  "next_poll_at": "2024-01-15T09:30:00Z",
  "rating": 1.1,
  "review_count": 1,
  "promotions": [
    "string"
  ],
  "buyer_price": 1.1,
  "latest": {
    "id": 1,
    "tracked_item_id": 1,
    "captured_at": "2024-01-15T09:30:00Z",
    "variant_count": 1,
    "extraction_method": "structured_data",
    "confidence_score": 1.1,
    "status": "accepted",
    "price": 1.1,
    "shipping": 1.1,
    "original_price": 1.1,
    "currency": "string",
    "in_stock": true,
    "anomaly_reason": "string",
    "seen_at": "2024-01-15T09:30:00Z",
    "readings": 1
  },
  "demand": {},
  "discounts": {},
  "fees_label": "string",
  "channels": [
    {}
  ],
  "own_price": 1.1,
  "price_gap_pct": 1.1,
  "own_shipping": 1.1,
  "own_shipping_is_default": false,
  "comparison_basis": "string",
  "comparison_note": "string",
  "cost_price": 1.1,
  "min_margin_pct": 1.1,
  "own_source_url": "string",
  "own_in_stock": true,
  "own_synced_at": "2024-01-15T09:30:00Z",
  "own_sync_status": "string",
  "own_sync_detail": "string",
  "own_pending_price": 1.1,
  "own_margin_pct": 1.1,
  "match_margin_pct": 1.1,
  "match_verdict": "string",
  "match_note": "string",
  "floor_price": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://getoutprice.com/v1/tracked-items/1"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://getoutprice.com/v1/tracked-items/1';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://getoutprice.com/v1/tracked-items/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://getoutprice.com/v1/tracked-items/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://getoutprice.com/v1/tracked-items/1")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://getoutprice.com/v1/tracked-items/1', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://getoutprice.com/v1/tracked-items/1");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://getoutprice.com/v1/tracked-items/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```